> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addBookKeeper

> The `addBookKeeper` API is a streamlined method for adding a book keeper to a company

### Note:

- To add other admin roles such as beneficialOwner and payrollAdmin please use the addBusinessUser API



## OpenAPI

````yaml post /companyOnboarding/addBookKeeper
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /companyOnboarding/addBookKeeper:
    post:
      tags: []
      summary: addBookKeeper
      description: >-
        The `addBookKeeper` API is a streamlined method for adding a book keeper
        to a company


        ### Note:


        - To add other admin roles such as beneficialOwner and payrollAdmin
        please use the addBusinessUser API
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                businessUser:
                  type: object
                  properties:
                    companyId:
                      type: string
                    firstName:
                      type: string
                    middleName:
                      type: string
                    lastName:
                      type: string
                    phoneNumber:
                      type: string
                    email:
                      type: string
                    bookkeeper:
                      type: boolean
                  required:
                    - companyId
                    - firstName
                    - lastName
                    - phoneNumber
                    - email
                    - bookkeeper
              required:
                - method
                - businessUser
            example:
              method: addBookKeeper
              businessUser:
                companyId: 65F6898F-8EC1-4541-9D61-03E50ADB04DA
                firstName: Regi
                middleName: ''
                lastName: Wisdom
                phoneNumber: '2511630147'
                email: Wisdom02@mailsac.com
                bookkeeper: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  bookKeeper:
                    type: object
                    properties:
                      bookKeeperId:
                        type: string
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - bookKeeperId
                      - status
                      - message
                required:
                  - bookKeeper
              examples:
                '1':
                  summary: Success
                  value:
                    bookKeeper:
                      bookKeeperId: 22213C37-A0F2-439B-9D27-47ADAA24B6D9
                      status: KYC Pending
                      message: >-
                        Regi   Wisdom has been successfully added as Book
                        Keeper.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Phone Number should not exceed 10 digits.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Email already in use
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````